import java.applet.Applet;
import java.awt.*;

// =======================================
// AppletFrame
// =======================================
public class AppletFrame extends Applet
{
  FrameWindow frame;
  
  public void init()
  {
    frame =  new FrameWindow("Frame window");
    frame.show();
  }
  
  public void destroy()
  {
    frame.hide();
  }
  
  public String getAppletInfo()
  {
    return "Name: AppletFrame";
  }
  
  public void paint(Graphics g)
  {
    g.drawString("AppletFrame", 10, 30);
  }
}

// =======================================
// FrameWindow
// =======================================
class FrameWindow extends Frame
{
  public FrameWindow(String szTitle)
  {
    super(szTitle);
    resize(200, 90);
    setBackground(Color.yellow);
    setForeground(Color.black);
  }

  public void paint(Graphics g)
  {
    g.setFont(new Font(
      "Helvetica", Font.PLAIN, 12));
    g.drawString("Text in frame window", 10, 50);
    super.paint(g);
  }
  
  public boolean handleEvent(Event evt)
  {
    if(evt.id == Event.WINDOW_DESTROY)
    {
      setVisible(false);
      return true;
    }
    else
      return super.handleEvent(evt);
  }
}

